Page cover

Image Results

Scrape images from Google and get the results in a JSON format.

The google engine allows users to set the type of search to be image (via the tbm parameter). When you scrape Google Images using the Google Search API, you will be provided with the following data:

Element
Type
Description

image_suggested_searches

Array

Array of suggested images found on the main Google Page

name

String

-- Name of the image suggested search

image

String

-- Query string of the image suggested search

link

String

-- Link of the image suggested search

image_results

Array

Array of image results

image

String

-- base64 encoded image

link

String

-- Link where the image was found

source

String

-- Link of the website where the image was found

title

String

-- Title of the image

Image Results Request Example

Request Example That Returns Image Elements

GET https://serpapi.webscrapingapi.com/v1?engine=google&api_key=<YOUR_API_KEY>&q=brooklyn

This is a basic GET request that returns the image results found on the Google Images page.

Query Parameters

Name
Type
Description

q*

String

brooklyn

api_key*

String

<YOUR_API_KEY>

Scrape Google Images

Last updated